Page MenuHomePhabricator

Allow the use of "reversed" parameter on organized lists (ol) html tag
Closed, ResolvedPublic

Description

I tried to create a reversed list, as HTML5 allows, but could only create a normal list. This made me very sad, because my list of created articles on my user page needs to be organized manually, and I want to automate the numeration. Can you please add "reversed" to the whitelist of the OL parameters?

Details

Related Gerrit Patches:

Event Timeline

MisterSanderson assigned this task to mediawiki.
MisterSanderson raised the priority of this task from to Needs Triage.
MisterSanderson updated the task description. (Show Details)
MisterSanderson added a subscriber: MisterSanderson.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 16 2015, 1:31 AM
Bawolff removed mediawiki as the assignee of this task.Nov 16 2015, 1:33 AM
Bawolff set Security to None.
Bawolff added a subscriber: Bawolff.

Seems to be legitimately in HTML5 [ http://www.w3.org/TR/html-markup/ol.html ] (but not all browsers support it).

Seems like a sensical thing to add.

Marking as an "easy" bug, as reversed just has to be added to the list of allowed attributes for ol, in includes/Sanitizer.php

He7d3r added a subscriber: He7d3r.Nov 16 2015, 7:31 AM

Change 254672 had a related patch set uploaded (by PlasmaPower):
Added reversed as acceptable attribute for ol

https://gerrit.wikimedia.org/r/254672

Change 254672 merged by jenkins-bot:
Added reversed as acceptable attribute for ol

https://gerrit.wikimedia.org/r/254672

MtDu closed this task as Resolved.Jan 25 2016, 9:28 PM

Thanks. As I don't follow release notes and dates about MediaWiki releases, can someone please notify me (it can be here) when 1.27 is fully deployed, so I can start using this feature?

If you're asking about Wikimedia wikis, it should be deployed already. https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap has the dates, version 1.27.0-wmf.8 (as tagged by @ReleaseTaggerBot above) was deployed to all wikis on Thursday, 10 December 2015.

Ah, thank you! I really don't have experience with these informations... I soon will start using then.